SafeWeb
Distributor API

Create distributor webhook endpoint

POST
/api/v1/distributors/webhooks

Header Parameters

SW-DISTRIBUTOR-ID*string
SW-API-KEY*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/distributors/webhooks" \  -H "SW-DISTRIBUTOR-ID: string" \  -H "SW-API-KEY: string" \  -H "Content-Type: application/json" \  -d '{    "url": "http://example.com",    "eventTypes": [      "string"    ]  }'
{  "success": true,  "webhook": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "url": "http://example.com",    "eventTypes": [      "string"    ],    "enabled": true,    "maxAttempts": 1,    "createdAt": "2019-08-24T14:15:22Z"  }}